Node.js 0.8.x vs forever#0.8

Node.js在六月一口氣升到0.8版本了
可以發現到整體make的output差很多...
支援的部分...目前發現與forever套件有衝突
這邊把安裝步驟跟解決方法列出來:

Node.js 0.8.x 編譯與安裝(這邊把Node安裝到特定目錄:/opt/local/share/node-v0.8.1)







安裝好後設定PATH變數:
export PATH=/opt/local/share/node-v0.8.1/bin:$PATH

如果原已安裝forever套件,那大概會看到如下錯誤:
[root@211-78-245-44 ~/node-v0.8.1]# forever list

module.js:340
    throw err;
          ^
Error: Cannot find module './daemon.v0.8.1'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:362:17)
    at require (module.js:378:17)
    at Object.<anonymous> (/root/node/lib/node_modules/forever/node_modules/daemon/lib/daemon.js:12:11)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:362:17)

嘗試重裝forever也不行...

解決方法:
安裝forever for node 0.8的套件...

如原已經有安裝forever跟其他版本node.js,需要再把forever的path更新一下,修改$HOME/.bashrc如下:

export PATH=/opt/local/share/node-v0.8.1/bin:/opt/local/share/node-v0.8.1/lib/node_modules/forever/bin:$PATH

正常的話,就可以正常ㄌ列出程序拉: